## com.puppycrawl.tools.checkstyle.checks.j2ee
Class BeanMethodChecker

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
          com.puppycrawl.tools.checkstyle.checks.j2ee.BeanMethodChecker

Direct Known Subclasses:
  EntityBeanMethodChecker, MessageBeanMethodChecker, SessionBeanMethodChecker

    public abstract class BeanMethodChecker

extends MethodChecker

Root class for bean method checks.

Author:
  Rick Giles

Constructor Summary
`BeanMethodChecker(AbstractBeanCheck aCheck)` Constructs a BeanMethodChecker for a bean check.

Method Summary
`protected void` `checkCreateMethod(DetailAST aMethodAST)` Checks whether an ejbCreate<METHOD>(...) method of a bean satisfies requirements.
`void` `checkMethod(DetailAST aMethodAST)` Checks whether a method satisfies component requirements.

Methods inherited from class com.puppycrawl.tools.checkstyle.checks.j2ee.MethodChecker
`checkMethod, checkMethods, checkNotThrows, checkThrows, getCheck, log, logName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanMethodChecker

    public BeanMethodChecker(AbstractBeanCheck aCheck)

  Constructs a BeanMethodChecker for a bean check.

  Parameters:
    `aCheck` - the bean check.

Method Detail

### checkMethod

    public void checkMethod(DetailAST aMethodAST)

  Checks whether a method satisfies component requirements.

  Specified by:
    `checkMethod` in class `MethodChecker`
  Parameters:
    `aMethodAST` - the AST for the method definition.

### checkCreateMethod

    protected void checkCreateMethod(DetailAST aMethodAST)

  Checks whether an ejbCreate<METHOD>(...) method of a bean satisfies requirements.

  Parameters:
    `aMethodAST` - the AST for the method definition.

Back to the Checkstyle Home Page